import 'package:frontend_eccp_mobile/modules/auth/refresh_token/data/model/refresh_token_response.dart';
import 'package:frontend_eccp_mobile/modules/auth/refresh_token/data/repositories/auth_repository.dart';
import 'package:injectable/injectable.dart';

@lazySingleton
class AuthService {
  AuthService(this._repository);

  final AuthRepository _repository;

  Future<RefreshTokenResponse> refreshToken() async {
    return _repository.refreshToken();
  }
}
